import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:gifunavi/model/map_state_instance.dart';

final mapStateNotifierProvider =
    StateNotifierProvider<MapState, MapStateInstance>((ref) {
  return MapState();
});

class MapState extends StateNotifier<MapStateInstance> {
  MapState() : super(MapStateInstance());

  @override
  MapStateInstance get state => super.state;

  void startGame(MapStateInstance mi) {
    state = mi;
  }
}
